Name:		libpcap
Version:	0.5
Release:	2mdk
Copyright:	BSD
#
# (fg) 20000719 Needed because of older Serial in old tcpdump src.rpm
#
Serial:		2
Source:		%{name}-%{version}.tar.bz2
Patch:		libpcap-Makefile-permission-fixes.patch.bz2
Summary: 	A system-independent interface for user-level packet capture.
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

Install libpcap if you need to do low-level network traffic monitoring on
your network.

%package devel
Summary:	Static library and header files for the pcap library
Group:		Development/C
Copyright: 	BSD

%prep
# grrr
%setup -q -n libpcap_0_5rel2
%patch -p1

%description devel
Libpcap provides a portable framework for low-level network monitoring.
Libpcap can provide network statistics collection, security monitoring
and network debugging.  Since almost every system vendor provides a
different interface for packet capture, the libpcap authors created this
system-independent API to ease in porting and to alleviate the need for
several system-dependent packet capture modules in each application.

Install libpcap if you need to do low-level network traffic monitoring on
your network.

This package contains the static pcap library and its header files needed to
compile applications such as tcpdump, etc.

%build
libtoolize --copy --force
%configure --enable-ipv6

%__make

#
# (fg) FIXME - UGLY - HACK - but libpcap's Makefile doesn't allow to build a
# shared lib...
#

gcc -Wl,-soname -Wl,libpcap.so.0 -shared -fpic -o libpcap.so.0.5 *.o

%install
mkdir -p $RPM_BUILD_ROOT/{%{_includedir}/net,%{_libdir},%{_mandir}/man3}
%__make DESTDIR=$RPM_BUILD_ROOT INCLDEST=%{_includedir} install install-incl install-man

install -m755 libpcap.so.0.5 $RPM_BUILD_ROOT/%{_libdir}

pushd $RPM_BUILD_ROOT/%{_libdir} && {
	ln -s libpcap.so.0.5 libpcap.so.0
	ln -s libpcap.so.0.5 libpcap.so
} && popd

%clean
rm -Rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README CHANGES
%{_libdir}/libpcap.so.*
%{_mandir}/man3/pcap.3*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/libpcap.so
%{_libdir}/libpcap.a

%changelog

* Fri Jul 21 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5-2mdk

- s,tmpdir,tmppath,
- removed unnecessary version and release in -devel

* Thu Jul 20 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5-1mdk

- 0.5 stable
- Split from tcpdump source to is own source
- %files list cleanup
- Added dynamic lib - dirty hack
- split libpcap and -devel


